import Vue from 'vue';
import VueRouter from 'vue-router';

Vue.use(VueRouter);

const routes = [
  {
    path: '/',
    name: 'index',
    component: () => import('../views/index.vue'),
  },
  // 科技政务
  {
    path: '/government/government',
    name: 'government',
    component: () => import('../views/government/government.vue'),
  },
  // 科技政策
  {
    path: '/policy/policy',
    name: 'policy',
    component: () => import('../views/policy/policy.vue'),
  },
  // 科技超市
  {
    path: '/supermaket/supermarket',
    name: 'supermarket',
    component: () => import('../views/supermaket/supermarket.vue'),
  },
  // 科技超市-高校院所
  {
    path: '/supermaket/supermarketColleges',
    name: 'supermarketColleges',
    component: () => import('../views/supermaket/supermarketColleges.vue'),
  },
  // 科技超市-科研院所
  {
    path: '/supermaket/supermarketScientific',
    name: 'supermarketSientific',
    component: () => import('../views/supermaket/supermarketScientific.vue'),
  },
  // 科技超市-科技企业
  {
    path: '/supermaket/supermarketEnterprise',
    name: 'supermarketEnterprise',
    component: () => import('../views/supermaket/supermarketEnterprise.vue'),
  },
  // 科技超市-机构团体
  {
    path: '/supermaket/supermarketGroup',
    name: 'supermarketGroup',
    component: () => import('../views/supermaket/supermarketGroup.vue'),
  },
  // 科技超市-研发服务
  {
    path: '/supermaket/supermaketService',
    name: 'supermaketService',
    component: () => import('../views/supermaket/supermaketService.vue'),
  },
  //科技超市-技术成果
  {
    path: '/supermaket/supermakettechnology',
    name: 'supermakettechnology',
    component: () => import('../views/supermaket/supermakettechnology.vue'),
  },
  // 科技超市-创新产品
  {
    path: '/supermaket/supermarketProduct',
    name: 'supermarketProduct',
    component: () => import('../views/supermaket/supermarketProduct.vue'),
  },
  // 科技超市-咨询服务
  {
    path: '/supermaket/supermarketinnovate',
    name: 'supermarketinnovate',
    component: () => import('../views/supermaket/supermarketinnovate.vue'),
  },
  //科技数据
  {
    path: '/shuju/shuju',
    name: 'shuju',
    component: () => import('../views/shuju/shuju.vue'),
  },
  //科技服务
  {
    path: '/service/service',
    name: 'service',
    component: () => import('../views/service/service.vue'),
  },
  // 科技资源
  {
    path: '/resource/resource',
    name: 'service',
    component: () => import('../views/resource/resource.vue'),
  },
  //登录和注册
  {
    path: '/login',
    name: 'login',
    component: () => import('../views/login.vue'),
  },
  //科技人才
  {
    path: '/personnel/personnel',
    name: 'personnel',
    component: () => import('../views/personnel/personnel.vue'),
  },
  //科技人才-招聘信息
  {
    path: '/personnel/recruit',
    name: 'recruit',
    component: () => import('../views/personnel/recruit.vue'),
  },
  // 科技人才-就业指导
  {
    path: '/personnel/guidance',
    name: 'guidance',
    component: () => import('../views/personnel/guidance.vue'),
  },
  // 个人中心-基本信息
  {
    path: '/personCenter/user',
    name: 'user',
    component: () => import('../views/personCenter/user.vue'),
  },
  // 个人中心-消息管理
  {
    path: '/personCenter/message',
    name: 'message',
    component: () => import('../views/personCenter/message.vue'),
  },
  // 个人中心-用户管理
  {
    path: '/personCenter/userMange',
    name: 'userMange',
    component: () => import('../views/personCenter/userMange.vue'),
  },
  // 个人信息-我要发布
  {
    path: '/personCenter/release',
    name: 'release',
    component: () => import('../views/personCenter/release.vue'),
  },
  // 个人信息-我的发布
  {
    path: '/personCenter/myRelease',
    name: 'myRelease',
    component: () => import('../views/personCenter/myRelease.vue'),
  },
  // 个人信息-我的审核
  {
    path: '/personCenter/audit',
    name: 'audit',
    component: () => import('../views/personCenter/audit.vue'),
  },
  // 个人信息-我的订购
  {
    path: '/personCenter/order',
    name: 'order',
    component: () => import('../views/personCenter/order.vue'),
  },
  // 个人信息-统计信息
  {
    path: '/personCenter/census',
    name: 'census',
    component: () => import('../views/personCenter/census.vue'),
  },
];

const router = new VueRouter({
  routes,
});

export default router;
