const path = require('path');
module.exports = {
  publicPath: '/',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/files': {
        target: 'http://smart.cc-lotus.info',
      },
      '/api/setting': {
        target: 'http://10.16.9.108:9000',
        changeOrigin: true,
        ws: true,
      },
      '/api/affairs': {
        target: 'http://10.16.9.108:9002',
        changeOrigin: true,
        ws: true,
      },
      '/api/policy': {
        target: 'http://10.16.9.108:9003',
        changeOrigin: true,
        ws: true,
      },
      '/api/record': {
        target: 'http://10.16.9.108:9005',
        changeOrigin: true,
        ws: true,
      },
      '/api/serve': {
        target: 'http://10.16.9.108:9006',
        changeOrigin: true,
        ws: true,
        // pathRewrite: { '^/api/affairs': '/api' },
      },
    },
  },
};
